#
# spec file for package python-pathlib2
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%if 0%{?suse_version} >= 1500
%bcond_without test
%else
%bcond_with    test
%endif
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define oldpython python
Name:           python-pathlib2
Version:        2.3.3
Release:        4.1
Summary:        Object-oriented filesystem paths
License:        MIT
Group:          Development/Languages/Python
URL:            https://pypi.python.org/pypi/pathlib2/
Source:         https://files.pythonhosted.org/packages/source/p/pathlib2/pathlib2-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
%if %{with test}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module scandir}
BuildRequires:  %{python_module six}
BuildRequires:  python3-testsuite
%endif
BuildRequires:  python-rpm-macros
Requires:       python-six
%if %{python3_version_nodots} < 35
Requires:       python-scandir
%else
Requires:       python2-scandir
%endif
BuildArch:      noarch
%ifpython2
Provides:       %oldpython-pathlib2 = %{version}
Obsoletes:      %oldpython-pathlib2 <= %{version}
%endif
%python_subpackages

%description
The goal of pathlib2 is to provide a backport of
`standard pathlib <http://docs.python.org/dev/library/pathlib.html>`_
module which tracks the standard library module,
so all the newest features of the standard pathlib can be
used also on older Python versions.

%prep
%autosetup -n pathlib2-%{version}

%build
%python_build

%install
%python_install

%if %{with test}
%check
# nothing provides test module in python2
# test module is not available in SLE-12
export PYTHONPATH="$PWD"
python3 tests/test_pathlib2.py
%endif

%files %{python_files}
%license LICENSE.rst
%doc CHANGELOG.rst README.rst
%{python_sitelib}/*

%changelog
* Mon Mar 11 2019 jayvdb@gmail.com
- Add Provides/Obsoletes of python-pathlib2, needed by
  python2-jupyter_ipython and python2-pytest-django and others
* Sat Mar  9 2019 jayvdb@gmail.com
- Fix build dependency on python3-scandir, unbreaking Leap 42.3
  and SLE 12 SP4
- Add bcond test to deactivate %%check properly when necessary
* Mon Feb  4 2019 hpj@urpla.net
- depend on python3-scandir for python3 < 3.5 only
* Wed Jan  2 2019 tchvatal@suse.com
- Always pull in python2-scandir as there is no core functionality
* Fri Dec 28 2018 mpluskal@suse.com
- Update to version 2.3.3:
  * Bring back old deprecated dependency syntax to ensure
    compatibility with older systems (see issue #46).
  * Drop Python 3.3 support, as scandir no longer supports it.
  * Add Python 3.7 support.
- Update conditionals for tests and dependencies to work on older
  SLE/openSUSE releases as well
* Mon Nov 12 2018 tchvatal@suse.com
- Avoid an issue with accidentally still pulling scandir on python3
* Thu Nov  1 2018 tchvatal@suse.com
- Scandir is needed only on older than 3.5 python
* Tue Aug  7 2018 mimi.vx@gmail.com
- cleanup deps
* Wed May 30 2018 mimi.vx@gmail.com
- update to 2.3.2
- drop pathlib2-2.3.0-fix-tests.patch
- fix requires and drop coverage report
* Tue May 22 2018 mcepl@suse.com
- Clean up SPEC
- Switch on tests (add patch pathlib2-2.3.0-fix-tests.patch)
* Fri Jan  5 2018 alarrosa@suse.com
- Update to version 2.3.0
  * Sync with upstream pathlib from CPython 3.6.1
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Thu Mar 30 2017 toddrme2178@gmail.com
- Initial version
